package stackjava.com.apachepoi.ptt.demo;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

import org.apache.poi.xslf.usermodel.SlideLayout;
import org.apache.poi.xslf.usermodel.XMLSlideShow;
import org.apache.poi.xslf.usermodel.XSLFSlide;
import org.apache.poi.xslf.usermodel.XSLFSlideLayout;
import org.apache.poi.xslf.usermodel.XSLFSlideMaster;
import org.apache.poi.xslf.usermodel.XSLFTextShape;

public class CreateLayout {
	public static void main(String args[]) throws IOException {

		// Create an empty presentation
		XMLSlideShow ppt = new XMLSlideShow();
		
		// Create Slide with SlideLayout = Title
		XSLFSlideMaster slideMaster = ppt.getSlideMasters().get(0);
		XSLFSlideLayout titleLayout = slideMaster.getLayout(SlideLayout.TITLE);
		XSLFSlide slide = ppt.createSlide(titleLayout);
		XSLFTextShape title1 = slide.getPlaceholder(0);
		
		// setting the title init
		title1.setText("stackjava.com");

		// creating an FileOutputStream object
		File file = new File("demo-create-layout.pptx");
		FileOutputStream out = new FileOutputStream(file);

		// saving the changes to a file
		ppt.write(out);
		System.out.println("successfully");
		out.close();
		ppt.close();
	}
}
